unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Buttons, Vcl.ExtCtrls;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Panel1: TPanel;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses ShockwaveFlashObjects_TLB;

var
  FShockWave : TShockwaveFlash;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
  LFile : string;
begin
  LFile := ExtractFilePath(paramstr(0)) + 'sample_1280x720.swf';

  if NOT FileExists(LFile) then Exit;

  if NOT Assigned(FShockWave) then
  begin
    FShockWave := TShockwaveFlash.Create(nil);
    FShockWave.ParentWindow := Panel1.Handle;
    FShockWave.Width        := 720;
    FShockWave.Height       := 384;
    FShockWave.ScaleMode    := 2;
    FShockWave.Visible      := TRUE;
    FShockWave.Movie        := LFile;
    FShockWave.Loop         := true;
    FShockWave.Play;
  end;

end;

end.
